Subject: [6lo] I-D Action: draft-ietf-6lo-use-cases-02.txt

From: [email-masked]
Date: Mon, 03 Jul 2017 02:07:23 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the IPv6 over Networks of Resource-constrained Nodes of the IETF.

        Title           : IPv6 over Constrained Node Networks (6lo) Applicability & Use cases
        Authors         : Yong-Geun Hong
                          Carles Gomez
                          Abdur Rashid Sangi
                          Take Aanstoot
                          Samita Chakrabarti
	Filename        : draft-ietf-6lo-use-cases-02.txt
	Pages           : 26
	Date            : 2017-07-03

Abstract:
   This document describes the applicability of IPv6 over constrained
   node networks (6lo) and provides practical deployment examples.  In
   addition to IEEE 802.15.4, various link layer technologies such as
   ITU-T G.9959 (Z-Wave), BLE, DECT-ULE, MS/TP, NFC, PLC (IEEE 1901),
   and IEEE 802.15.4e (6tisch) are used as examples.  The document
   targets an audience who like to understand and evaluate running end-
   to-end IPv6 over the constrained link layer networks connecting
   devices to each other or to each cloud.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-6lo-use-cases/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-6lo-use-cases-02
https://datatracker.ietf.org/doc/html/draft-ietf-6lo-use-cases-02

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-6lo-use-cases-02

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: houjianqiang <[email-masked]>
Date: Mon, 3 Jul 2017 12:46:51 +0000

Hi Yong-Geun,

This version is clearer. Thanks for your hard work on this draft. I quickly went through this draft just now and found several minor flaws:

1. Abstract
   'PLC (IEEE 1901)'. Here it's better to use 1901.2 because 1901.2 is narrowband PLC, closer to 6lo
2. section 1, paragraph 1. 
    Link is missed for [RFC7228]
3. subsection 3.9, table 2. 
    "Tree No Mesh" for PLC. Mesh topology in PLC has been studied for several years and has its deployment. I would suggest to say star, tree, mesh.
    Security Reqmt: 'High'. You missed one 'H'
    Links are missed for "6lo-nfc" and "hou-6lo-plc"
4. subsection 4.1
    'QOS' -> 'QoS'. Second-to-last bullet in page 10 
    'ICPMv6' -> 'ICMPv6'. Second bullet in page 11

Regards,
Jianqiang

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Monday, July 03, 2017 5:07 PM
To: [email-masked]
Cc: [email-masked]
Subject: [6lo] I-D Action: draft-ietf-6lo-use-cases-02.txt

Abstract:

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

---

From: YongGeun Hong <[email-masked]>
Date: Tue, 4 Jul 2017 09:17:43 +0900

Dear Jianqiang HOU.

Thanks for your quick review and several comments.

In this updated version, many parts were updated.

Please, see my response inline.

On Mon, Jul 3, 2017 at 9:46 PM, houjianqiang <[email-masked]>
wrote:

> Hi Yong-Geun,
>
> This version is clearer. Thanks for your hard work on this draft. I
> quickly went through this draft just now and found several minor flaws:
>
> 1. Abstract
[Hong] In my knowledge, besides IEEE1901.2, IEEE 1901.1 is also related to
6lo because it can be used for smart grid and it is called PLC-IoT.
            As you said, if we focus a narrowband PLC, you are right. But,
if we don't focus narrowband, IEEE 1901.2 is also a candidate.
            I will discuss with other export of PLC and find the best way
to describe.

>     Link is missed for [RFC7228]
[Hong] O.K. It will be fixed in a next revision.

>     "Tree No Mesh" for PLC. Mesh topology in PLC has been studied for
> several years and has its deployment. I would suggest to say star, tree,
> mesh.
[Hong] O.K. the proposed topology of PLC looks good and I will update. The
link of 6lo-nfc is located in clause 3.5. The link of hou-6lo-plc will be
added.

4. subsection 4.1
>     'ICPMv6' -> 'ICMPv6'. Second bullet in page 11
[Hong] O.K. These will be fixed in a next revision.

> Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at
> tools.ietf.org.
>